/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, dtv, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_dtv_dvbt_map = R"doc(DVB-T mapper.

ETSI EN 300 744 Clause 4.3.5. 
Data input format: 
000000Y0Y1 - QPSK. 
0000Y0Y1Y2Y3 - 16QAM. 
00Y0Y1Y2Y3Y4Y5 - 64QAM. 
Data output format: 
complex(real(float), imag(float)).

Constructor Specific Documentation:

Create a DVB-T mapper.

Args:
    nsize : length of input stream.
    constellation : constellation used.
    hierarchy : hierarchy used.
    transmission : transmission mode used.
    gain : gain of complex output stream.)doc";


static const char* __doc_gr_dtv_dvbt_map_dvbt_map = R"doc()doc";


static const char* __doc_gr_dtv_dvbt_map_make = R"doc(DVB-T mapper.

ETSI EN 300 744 Clause 4.3.5. 
Data input format: 
000000Y0Y1 - QPSK. 
0000Y0Y1Y2Y3 - 16QAM. 
00Y0Y1Y2Y3Y4Y5 - 64QAM. 
Data output format: 
complex(real(float), imag(float)).

Constructor Specific Documentation:

Create a DVB-T mapper.

Args:
    nsize : length of input stream.
    constellation : constellation used.
    hierarchy : hierarchy used.
    transmission : transmission mode used.
    gain : gain of complex output stream.)doc";
